## Filter-gunzip-8.tar.gz

=== devel/Makefile ===
# Copyright 2012, 2014 Kevin Ryde

# This file is part of Filter-gunzip.
#
# Filter-gunzip is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Filter-gunzip is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Filter-gunzip.  If not, see <http://www.gnu.org/licenses/>.

CFLAGS := -Wall -g $(shell gdlib-config --cflags)
LOADLIBES := -lz

=== debian/changelog ===
libfilter-gunzip-perl (8-0.1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42_kevin@yahoo.com.au>  Sun, 10 Nov 2019 10:55:11 +1100

=== debian/control ===
# Copyright 2010, 2011, 2012, 2013, 2014, 2016, 2017, 2018, 2019 Kevin Ryde

# This file is part of Filter-gunzip.
#
# Filter-gunzip is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# Filter-gunzip is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Filter-gunzip.  If not, see <http://www.gnu.org/licenses/>.


# libperlio-gzip-perl is for the XS method (which is preferred).
# Can run without it, though you lose some __DATA__ handle stuff.


Source: libfilter-gunzip-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42_kevin@yahoo.com.au>
Standards-Version: 4.2.1
Homepage: http://user42.tuxfamily.org/filter-gunzip/index.html
Bugs: mailto:user42_kevin@yahoo.com.au

Package: libfilter-gunzip-perl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: perl (>= 5.006), libperlio-gzip-perl, libfilter-perl | perl (>= 5.8), libcompress-raw-zlib-perl | perl (>= 5.10), ${perl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Source filter uncompressing gzip files
 Filter::gunzip uncompresses gzipped Perl source files for execution
 using the Perl source filter mechanism.  It can run .pl.gz files or
 can make a self-uncompressing executable.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2010, 2014, 2019 Kevin Ryde

# This file is part of Filter-gunzip.
#
# Filter-gunzip is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# Filter-gunzip is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Filter-gunzip.  If not, see <http://www.gnu.org/licenses/>.

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk

DEB_INSTALL_EXAMPLES_libfilter-gunzip-perl = examples/*

# don't compress the example scripts, to avoid confusion between what's
# supposed to be .gz and what's supposed to be auto-uncompressing
DEB_COMPRESS_EXCLUDE_ALL = .pl

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2010, 2017 Kevin Ryde
#
# This file is part of Filter-gunzip.
#
# Filter-gunzip is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3, or
# (at your option) any later version.
#
# Filter-gunzip is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Filter-gunzip.  If not, see
# <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
https://user42.tuxfamily.org/filter-gunzip/index.html \
	.*/Filter-gunzip-([0-9]+)\.tar\.gz
